<!doctype html>
<html lang="ru">

<head>
    <meta charset="UTF-8">
    <!-- <meta http-equiv="X-UA-Compatible" content="IE=edge"> -->
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Similar images search</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
</head>

<body>

    <div class="container"
        style="display: flex; justify-content: center;align-items: center; margin-top: 1%; margin-bottom: 1%;">
        <div class="card bg-dark text-white align-self-center" style="width: 25rem;">
            <div class="card-body">
                <h5 class="card-title">Model prediction</h5>
                <p>{{found_images[-1][0] + 1}} most similar images</p>
            </div>
            <div class="card-body">
                <div id="carouselExampleControls" class="carousel slide" data-bs-ride="carousel"
                    data-bs-interval="false">
                    <div class="carousel-inner" id="carousel-inner-id" style="height: 20rem;">
                        {% for val in found_images %}
                        {% if val[0] == 0 %}
                        <div class="carousel-item active" style="height: 15rem;">
                            <img id="carousel-item-{{val[0]}}" class="d-block w-75 rounded mx-auto d-md-block"
                                src="data:image/png;base64, {{val[1]}}" alt="Red dot">
                        </div>
                        {% else %}
                        <div class="carousel-item" style="height: 15rem;">
                            <img id="carousel-item-{{val[0]}}" class="d-block w-75 rounded mx-auto d-md-block"
                                src="data:image/png;base64, {{val[1]}}" alt="Red dot">
                        </div>
                        {% endif %}
                        {% endfor %}

                    </div>
                    <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleControls"
                        data-bs-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="visually-hidden">Previous</span>
                    </button>
                    <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleControls"
                        data-bs-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="visually-hidden">Next</span>
                    </button>
                </div>
            </div>

            <div class="card-body">
                <a href="/" class="btn btn-md btn-primary btn-block">Return</a>
            </div>
        </div>
    </div>



    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-U1DAWAznBHeqEIlVSCgzq+c9gqGAJn5c/t99JyeKa9xxaYpSvHU5awsuZVVFIhvj"
        crossorigin="anonymous"></script>
    <script src="//code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script type="text/javascript">
    </script>

</body>
<footer>
    <div class="container" style="margin-bottom: 1%;">
        
        <div class="row align-items-center" style="display: flex; justify-content: center; align-items: center;">
            <div class="col-md-auto">
                <p class="text-muted">Built with PyTorch and Flask</p>
            </div>
        </div>
    </div>
</footer>

</html>